## xmp-2.0.2.tar.gz

=== Makefile ===
# Extended Module Player toplevel Makefile

# DIST		distribution package name
# DFILES	standard distribution files 
# DDIRS		standard distribution directories

XCFLAGS	= -Iloaders/include
TEST_XM	=
DIST	= xmp-$(VERSION)
RPMSPEC	= etc/xmp.spec
RPMRC	= etc/rpmrc
MODULES	= mod.AnarchyMenu8 mod.Fairlight mod.dif-prty
DFILES	= README INSTALL configure configure.in Makefile Makefile.rules.in \
	  $(MODULES)
DDIRS	= lib docs etc src scripts debian
CFILES	=
DCFILES	= Makefile.rules.old config.log config.status config.cache

all: xmp

xmp:
	cd src; $(MAKE)

include Makefile.rules

distclean::
	rm -f Makefile.rules

configure: configure.in
	autoconf

check: test

dust:
	@echo "<cough, cough>"

test: xmp
	time -v player/xmp -vvv $(MODULES)

install-plugin:
	$(MAKE) -C src/xmms install

install::
	@echo
	@echo "  Installation complete. To customize, copy /etc/xmp.conf to"
	@echo "  \$$HOME/.xmp/xmp.conf and /etc/xmp-modules.conf to \$$HOME/.xmp/modules.conf"
	@echo
	@echo "  Please report bugs to xmp-bugs@helllabs.org."
	@echo

uninstall:
	rm -f $(BIN_DIR)/xmp
	rm -f $(BIN_DIR)/xxmp
	rm -f $(MAN_DIR)/xmp.1
	rm -f $(MAN_DIR)/xxmp.1
	rm -f /etc/xmp.conf /etc/xmp-modules.conf


# Extra targets:
# 'dist' prepares a distribution package
# 'mark' marks the last RCS revision with the package version number
# 'whatsout' lists the locked files
# 'diff' creates a diff file
# 'rpm' generates a RPM package

dist: docs Makefile
	dh_clean
	rm -f etc/xmp.spec
	rm -Rf $(DIST) $(DIST).tar.gz
	mkdir $(DIST)
	$(MAKE) DISTDIR=$(DIST) subdist
	cat Makefile.rules.in | \
	sed "s/$(DATE)/`date`/" > $(DIST)/Makefile.rules.in
	mv -f Makefile.rules.in Makefile.rules.old
	cp $(DIST)/Makefile.rules.in .
	chmod -R u+w $(DIST)/*
	tar cvf - $(DIST) | gzip -9c > $(DIST).tar.gz
	rm -Rf $(DIST)
	./config.status
	touch -r Makefile.rules.old Makefile.rules.in Makefile.rules
	sync
	ls -l $(DIST).tar.gz

bz2: dist
	@zcat $(DIST).tar.gz | bzip2 > $(DIST).tar.bz2
	@ls -l $(DIST).tar.bz2
	@sync

bindist:
	$(MAKE) _bindist1 CONFIGURE="./configure"

binpkg: bindist $(PORTS)

_bindist1:
	rm -Rf $(DIST)
	gzip -dc $(DIST).tar.gz | tar xvf -
	cd $(DIST); $(CONFIGURE); $(MAKE) _bindist2
	rm -Rf $(DIST)
	sync

_bindist2: xmp
	strip src/main/xmp src/main/xxmp
	cat src/main/xmp | gzip -9c > ../xmp-$(VERSION)_$(PLATFORM).gz
	cat src/main/xxmp | gzip -9c > ../xxmp-$(VERSION)_$(PLATFORM).gz

mark:
	ID=`echo $(VERSION) | sed 's/\./_/g'`; \
	rcs -nxmp_$$ID: RCS/*

chkoldver:
	@if [ "$(OLDVER)" = "" ]; then \
	    echo "parameter missing: OLDVER=<old_version>"; \
	    false; \
	fi

diff: chkoldver
	@if [ "$(OLDVER)" != "none" ]; then \
	    echo "Creating diff from $(OLDVER) to $(VERSION)"; \
	    rm -Rf xmp-$(OLDVER) xmp-$(VERSION); \
	    tar xzf xmp-$(OLDVER).tar.gz; \
	    tar xzf xmp-$(VERSION).tar.gz; \
	    diff -rud --new-file xmp-$(OLDVER) xmp-$(VERSION) | gzip -9c > \
		xmp-$(OLDVER)-$(VERSION).diff.gz; \
	    rm -Rf xmp-$(OLDVER) xmp-$(VERSION); \
	    sync; \
	fi

rpm:
	$(MAKE) -C etc xmp.spec
	sudo rpm --rcfile $(RPMRC) -ba $(RPMSPEC)
	sync

deb:
	fakeroot debian/rules binary

Makefile.rules: Makefile.rules.in
	./config.status

$(OBJS): Makefile

=== docs/Makefile ===
# Extended Module Player doc/Makefile

DOCS	= xmp.1
HTMLS	=
DFILES	= Makefile COPYING CREDITS README.awebug README.ppunpack \
	  README.unsqsh README.fixloop README.trackers ChangeLog xmp.1 xxmp.1
DDIRS	=
CFILES	=
DCFILES	=

all: docs

subdist:: docs html

include ../Makefile.rules

docs: $(DOCS)

html: $(HTMLS)

install:: docs
	@echo Installing manpages in $(MAN_DIR)...
	@[ -d $(MAN_DIR) ] || mkdir -p $(MAN_DIR)
	$(INSTALL) -m644 xmp.1 $(MAN_DIR)
	@if test "$(X_XMP)x" = xxmpx; then \
	    $(INSTALL) -m644 $(X_XMP).1 $(MAN_DIR); \
	fi

=== etc/Makefile ===
# Extended Module Player etc/Makefile
# $Id: Makefile,v 1.1.1.1 1998/10/19 16:56:48 claudio Exp $

DFILES	= Makefile magic xmp.conf rpmrc xmp.spec xmp.spec.in xmp.lsm \
	  xmp-modules.conf
DDIRS	=
CFILES	=
DCFILES	=

all: xmp.spec

subdist:: all

include ../Makefile.rules

install::
	@echo Installing /etc/xmp.conf and /etc/xmp-modules.conf...
	@if [ -f /etc/xmp.conf ]; then \
	    mv -f /etc/xmp.conf /etc/xmp.conf.old; \
	fi
	@if [ -f /etc/xmp-modules.conf ]; then \
	    mv -f /etc/xmp-modules.conf /etc/xmp-modules.conf.old; \
	fi
	$(INSTALL) -m644 xmp.conf xmp-modules.conf /etc

xmp.spec: xmp.spec.in ../Makefile.rules
	cat $@.in | sed 's/@VERSION@/$(VERSION)/g' > $@

=== lib/Makefile ===
# Extended Module player lib/Makefile
# $Id: Makefile,v 1.2 1998/10/26 21:25:41 claudio Exp $

DFILES	= Makefile
CFILES	= libxmp.a
DCFILES	=
MYLIB	= libxmp.a
MYSHLIB	= $(MYLIB:.a=.so)

all: $(MYLIB)

$(MYLIB):
	$(MAKE) -C ../src

install::

clean::
	rm -f $(MYSHLIB) $(MYSHLIB).$(VERSION)

shared: $(MYSHLIB).$(VERSION)

$(MYSHLIB).$(VERSION): $(MYLIB)
	rm -f $(MYSHLIB)* *.o
	$(AR) xv $(MYLIB)
	gcc -shared -o $(MYSHLIB).$(VERSION) *.o
	rm -f *.o
	ln -s $(MYSHLIB).$(VERSION) $(MYSHLIB)
	
static_install:
	@echo Installing libraries in $(LIB_DIR)...
	@[ -d $(LIB_DIR) ] || mkdir -p $(LIB_DIR)
	$(INSTALL) -m755 $(MYLIB) $(LIB_DIR)
	$(STRIP) -g $(LIB_DIR)/$(MYLIB)

include ../Makefile.rules

=== src/Makefile ===
# Extended Module Player src/Makefile

DFILES	= Makefile
_DIRS	= drivers include loaders player misc main
DDIRS	= $(_DIRS) os2 xmms
CFILES	=
DCFILES	=

all install::
	for i in $(_DIRS) $(PLUGIN); do	\
		(cd $$i; $(MAKE) $@)	\
	done

include ../Makefile.rules

=== src/drivers/Makefile ===
# Extended Module Player src/drivers/Makefile

XCFLAGS	= -I../include
OBJS	= $(DRIVERS)
DFILES	= Makefile file.c oss_mix.c hpux.c bsd.c solaris.c oss_seq.c \
	  alsa_mix.c esd.c sgi.c os2_dart.c netbsd.c openbsd.c
DDIRS	=
LIB	= ../../lib/libxmp.a
CFILES	=
DCFILES	=

all: $(LIB)

include ../../Makefile.rules

include depend

=== src/include/Makefile ===
# Extended Module Player src/include/Makefile

DFILES	= Makefile config.h.in xmp.h xmpi.h effects.h period.h driver.h \
	  mixer.h xxm.h getopt.h formats.h convert.h
DDIRS	=
CFILES	=
DCFILES	= config.h

all:

include ../../Makefile.rules

=== src/loaders/Makefile ===
# Extended Module Player src/loaders/Makefile

XCFLAGS	= -I../include -Iinclude
LOADERS	= xm_load.o mod_load.o s3m_load.o stm_load.o 669_load.o far_load.o \
	  mtm_load.o ptm_load.o okt_load.o alm_load.o amd_load.o rad_load.o \
	  ult_load.o pru1_load.o pru2_load.o kris_load.o ac1d_load.o \
	  fcm_load.o unic_load.o pp10_load.o xann_load.o pm10_load.o \
	  mdl_load.o np_load.o it_load.o stx_load.o stim_load.o pm20_load.o \
	  pm01_load.o pt3_load.o med_load.o sfx_load.o flt_load.o st_load.o \
	  emod_load.o wn_load.o pm_load.o di_load.o mp_load.o imf_load.o \
	  digi_load.o ksm_load.o zen_load.o crb_load.o fnk_load.o ice_load.o
OBJS	= common.o iff.o itsex.o $(LOADERS)
DFILES	= Makefile $(OBJS:.o=.c) ftm_load.c liq_load.c tp_load.c dbm_load.c
DDIRS	= include
LIB	= ../../lib/libxmp.a
CFILES	=
DCFILES	= 

all: $(LIB)

include ../../Makefile.rules

include depend

=== src/main/Makefile ===
# Extended Module Player src/main/Makefile

XCFLAGS	= -I../include $(X_INC)
OBJS	= getopt.o getopt1.o options.o
X11OBJS	= xpanel.o xstuff.o font1.o font2.o
XDEPS	=
BINS	= xmp $(X_XMP)
XLIBS	= -L../../lib -lxmp #-lefence
X11LIBS	= -lX11 -lXext
XPMS	= bg1.xpm bg2.xpm bg3.xpm
DFILES	= Makefile $(OBJS:.o=.c) $(X11OBJS:.o=.c) main.c xpanel.h $(XPMS) \
	  simple.c
DDIRS	=
CFILES	=
DCFILES	=

all: bins

include ../../Makefile.rules

bins: $(BINS)

xmp: $(OBJS) main.o ../../lib/libxmp.a
	$(LD) $(LFLAGS) $(OBJS) main.o $(LIBS)

xxmp: $(OBJS) xmain.o $(X11OBJS) ../../lib/libxmp.a
	$(LD) $(LFLAGS) $(OBJS) $(X11OBJS) xmain.o $(X_LIB) $(X11LIBS) $(LIBS)

xmain.o: main.c xpanel.h
	$(CC) $(CFLAGS) $(XCFLAGS) -DXXMP -o xmain.o main.c

install:: $(BINS)
	@echo Installing binaries in $(BIN_DIR)...
	@[ -d $(BIN_DIR) ] || mkdir -p $(BIN_DIR)
	$(INSTALL) -s -m755 $(BINS) $(BIN_DIR)

$(OBJS): ../../Makefile.rules Makefile

simple: simple.o
	$(LD) $(LFLAGS) $+ $(LIBS)

dump: dump.o
	$(LD) $(LFLAGS) $+

include depend

=== src/misc/Makefile ===
# Extended Module Player src/misc/Makefile

XCFLAGS	= -I../include
OBJS	= control.o info.o ipc.o load.o depack.o unsqsh.o crc32.o mmcmp.o
XDEPS	=
XLIBS	= -L../../lib -lxmp
DFILES	= Makefile $(OBJS:.o=.c)
DDIRS	=
LIB	= ../../lib/libxmp.a
CFILES	= $(BINS)
DCFILES	=

all: $(LIB)

include ../../Makefile.rules

$(BINS): ../../lib/libxmp.a
	$(CC) $(CFLAGS) $(XCFLAGS) $@.c
	$(LD) $(LFLAGS) $@.o $(LIBS)

include depend

=== src/os2/Makefile ===
# Makefile for use under OS/2
#
# Hand build by Kevin Langman
#
# This Makefile was tested with dmake only...
# I don't know if the "+del version.o" will work with GNU Make!
#

VERSION	= 2.0.2
DATE	= Wed Feb 23 09:14:49 BRST 2000


XMP_OS2_BUILDER = Kevin Langman (langman@earthling.net)

DRIVER_OBJ= file.o os2_dart.o
AR=emxomfar
ARFLAGS=cr
CC=gcc
DFILES= Makefile version.c xmp.def xmp2.txt

# -O2                  = Optimize 2
# -ffast-math          = Allows gcc to break some ANSI math rules!
# -fno-strength-reduce = ???
# -Wall                = All Warnings!
# -s                   = Remove all symbol table and relocation information
# -fomit-frame-pointer = Don't keep the frame pointer in a register
# -fpack-struct        = Pack all Structures!

# Use the fist   CFLAGS & LFLAGS to create a OPTIMIZED build!
# Use the second CFLAGS & LFLAGS to create a build that can be debugged via ICSDEBUG.exe 

CFLAGS=-O2 -Zomf -Zmt -DDRIVER_OS2DART -DHAVE_ATTRIBUTE_PACKED -funroll-loops -ffast-math -fno-strength-reduce -Wall -s -fomit-frame-pointer
# CFLAGS=-g -Zomf -Zmt -DDRIVER_OS2DART -DHAVE_ATTRIBUTE_PACKED -Wall

LFLAGS = -Zlinker /PM:VIO
# LFLAGS = -Zlinker /DEBUG -Zlinker /PM:VIO

COMPILE=$(CC) $(CFLAGS) -I../include -I../loaders/include -I..
IMPLIB=emximp

.SUFFIXES:
.SUFFIXES: .o .c

LIBS=-lmmpm2
EXENAME=xmp2.exe
DEFNAME=xmp.def
OBJ=$(DRIVER_OBJ) \
    control.o crc32.o depack.o info.o ipc.o load.o mmcmp.o unsqsh.o \
    common.o iff.o itsex.o 669_load.o ac1d_load.o alm_load.o amd_load.o \
    crb_load.o dbm_load.o digi_load.o di_load.o emod_load.o far_load.o \
    fcm_load.o flt_load.o fnk_load.o imf_load.o it_load.o kris_load.o \
    ksm_load.o liq_load.o mdl_load.o med_load.o mod_load.o mp_load.o \
    mtm_load.o np_load.o okt_load.o pm01_load.o pm10_load.o pm20_load.o \
    pm_load.o pp10_load.o pru1_load.o pru2_load.o pt3_load.o ptm_load.o \
    rad_load.o s3m_load.o sfx_load.o stim_load.o stm_load.o stx_load.o \
    st_load.o tp_load.o ult_load.o unic_load.o wn_load.o xann_load.o \
    xm_load.o zen_load.o ice_load.o font1.o font2.o getopt.o getopt1.o \
    main.o options.o convert.o cruncher.o driver.o formats.o med_synth.o \
    misc.o mix_all.o period.o player.o readrc.o scan.o ulaw.o version.o

default: xmp2.exe

clean:

clean2:
	+del *.o
	+del version.c

install:

# This target will allow the nice-very-nice packaging system to work
# with this subdirectory

subdist::
	cp -dp $(DFILES) $(DISTDIR)


# The '+del version.o' will cause the build Date&Time to be recalculated for each build!

$(EXENAME): $(OBJ) $(DEFNAME)
	$(CC) $(CFLAGS) -o $(EXENAME) $(DEFNAME) $(OBJ) $(LIBS) $(LFLAGS)
	+del version.o
  
version.c:
	@echo char *xmp_version = "$(VERSION)"; \
	char *xmp_date = "$(DATE)";>$@ \
	char *xmp_build= "Compiled by $(XMP_OS2_BUILDER) on " __DATE__ " at " __TIME__;>>$@

version.o:	version.c \
			../include/xmpi.h
	$(COMPILE) -o $@ -c version.c	

file.o:	../drivers/file.c \
			../include/xmpi.h ../include/driver.h ../include/mixer.h
	$(COMPILE) -o $@ -c ../drivers/file.c
os2_dart.o:	../drivers/os2_dart.c \
			../include/xmpi.h ../include/driver.h ../include/mixer.h
	$(COMPILE) -o $@ -c ../drivers/os2_dart.c



control.o:	../misc/control.c \
			../include/driver.h ../include/mixer.h ../include/formats.h
	$(COMPILE) -o $@ -c ../misc/control.c
crc32.o:	../misc/crc32.c \
			../include/formats.h
	$(COMPILE) -o $@ -c ../misc/crc32.c
depack.o:	../misc/depack.c \
			../include/xmpi.h 
	$(COMPILE) -o $@ -c ../misc/depack.c
info.o:	../misc/info.c \
			../include/driver.h 
	$(COMPILE) -o $@ -c ../misc/info.c
ipc.o:	../misc/ipc.c \
			../include/xmpi.h 
	$(COMPILE) -o $@ -c ../misc/ipc.c
load.o:	../misc/load.c \
			../include/driver.h ../include/convert.h
	$(COMPILE) -o $@ -c ../misc/load.c
mmcmp.o:	../misc/mmcmp.c \
			../include/xmpi.h
	$(COMPILE) -o $@ -c ../misc/mmcmp.c
unsqsh.o:	../misc/unsqsh.c \
			../include/xmpi.h
	$(COMPILE) -o $@ -c ../misc/unsqsh.c



common.o:	../loaders/common.c \
			../include/xmp.h ../include/period.h ../loaders/include/load.h
	$(COMPILE) -o $@ -c ../loaders/common.c
iff.o:	../loaders/iff.c \
			../loaders/include/iff.h ../include/xmpi.h
	$(COMPILE) -o $@ -c ../loaders/iff.c
itsex.o:	../loaders/itsex.c \
			../loaders/include/load.h
	$(COMPILE) -o $@ -c ../loaders/itsex.c


669_load.o:	../loaders/669_load.c \
			../loaders/include/load.h
	$(COMPILE) -o $@ -c ../loaders/669_load.c
ac1d_load.o:	../loaders/ac1d_load.c \
			../loaders/include/load.h ../include/period.h
	$(COMPILE) -o $@ -c ../loaders/ac1d_load.c
alm_load.o:	../loaders/alm_load.c \
			../loaders/include/load.h
	$(COMPILE) -o $@ -c ../loaders/alm_load.c
amd_load.o:	../loaders/amd_load.c \
			../loaders/include/load.h
	$(COMPILE) -o $@ -c ../loaders/amd_load.c
crb_load.o:	../loaders/crb_load.c \
			../loaders/include/load.h ../include/period.h
	$(COMPILE) -o $@ -c ../loaders/crb_load.c
dbm_load.o:	../loaders/dbm_load.c \
			../loaders/include/load.h ../loaders/include/iff.h
	$(COMPILE) -o $@ -c ../loaders/dbm_load.c
digi_load.o:	../loaders/digi_load.c \
			../loaders/include/load.h
	$(COMPILE) -o $@ -c ../loaders/digi_load.c
di_load.o:	../loaders/di_load.c \
			../loaders/include/load.h
	$(COMPILE) -o $@ -c ../loaders/di_load.c
emod_load.o:	../loaders/emod_load.c \
			../loaders/include/load.h ../loaders/include/iff.h
	$(COMPILE) -o $@ -c ../loaders/emod_load.c
far_load.o:	../loaders/far_load.c \
			../loaders/include/load.h ../loaders/include/far.h
	$(COMPILE) -o $@ -c ../loaders/far_load.c
fcm_load.o:	../loaders/fcm_load.c \
			../loaders/include/load.h ../include/period.h
	$(COMPILE) -o $@ -c ../loaders/fcm_load.c
flt_load.o:	../loaders/flt_load.c \
			../loaders/include/load.h ../loaders/include/mod.h ../include/period.h
	$(COMPILE) -o $@ -c ../loaders/flt_load.c
fnk_load.o:	../loaders/fnk_load.c \
			../loaders/include/load.h
	$(COMPILE) -o $@ -c ../loaders/fnk_load.c
ftm_load.o:	../loaders/ftm_load.c \
			../loaders/include/load.h
	$(COMPILE) -o $@ -c ../loaders/ftm_load.c
imf_load.o:	../loaders/imf_load.c \
			../loaders/include/load.h ../loaders/include/imf.h ../include/period.h
	$(COMPILE) -o $@ -c ../loaders/imf_load.c
it_load.o:	../loaders/it_load.c \
			../loaders/include/load.h ../loaders/include/it.h ../include/period.h
	$(COMPILE) -o $@ -c ../loaders/it_load.c
kris_load.o:	../loaders/kris_load.c \
			../loaders/include/load.h ../include/period.h
	$(COMPILE) -o $@ -c ../loaders/kris_load.c
ksm_load.o:	../loaders/ksm_load.c \
			../loaders/include/load.h
	$(COMPILE) -o $@ -c ../loaders/ksm_load.c
liq_load.o:	../loaders/liq_load.c \
			../loaders/include/load.h ../loaders/include/liq.h ../include/period.h
	$(COMPILE) -o $@ -c ../loaders/liq_load.c
mdl_load.o:	../loaders/mdl_load.c \
			../loaders/include/load.h ../loaders/include/iff.h ../loaders/include/mdl.h ../include/period.h
	$(COMPILE) -o $@ -c ../loaders/mdl_load.c
med_load.o:	../loaders/med_load.c \
			../loaders/include/load.h ../loaders/include/med.h
	$(COMPILE) -o $@ -c ../loaders/med_load.c
mod_load.o:	../loaders/mod_load.c \
			../loaders/include/load.h ../loaders/include/mod.h
	$(COMPILE) -o $@ -c ../loaders/mod_load.c
mp_load.o:	../loaders/mp_load.c \
			../loaders/include/load.h
	$(COMPILE) -o $@ -c ../loaders/mp_load.c
mtm_load.o:	../loaders/mtm_load.c \
			../loaders/include/load.h ../loaders/include/mtm.h
	$(COMPILE) -o $@ -c ../loaders/mtm_load.c
np_load.o:	../loaders/np_load.c \
			../loaders/include/load.h ../include/period.h
	$(COMPILE) -o $@ -c ../loaders/np_load.c
okt_load.o:	../loaders/okt_load.c \
			../loaders/include/load.h ../loaders/include/iff.h
	$(COMPILE) -o $@ -c ../loaders/okt_load.c
pm01_load.o:	../loaders/pm01_load.c \
			../loaders/include/load.h ../include/period.h
	$(COMPILE) -o $@ -c ../loaders/pm01_load.c
pm10_load.o:	../loaders/pm10_load.c \
			../loaders/include/load.h
	$(COMPILE) -o $@ -c ../loaders/pm10_load.c
pm20_load.o:	../loaders/pm20_load.c \
			../loaders/include/load.h
	$(COMPILE) -o $@ -c ../loaders/pm20_load.c
pm_load.o:	../loaders/pm_load.c \
			../loaders/include/load.h ../include/period.h
	$(COMPILE) -o $@ -c ../loaders/pm_load.c
pp10_load.o:	../loaders/pp10_load.c \
			../loaders/include/load.h ../include/period.h
	$(COMPILE) -o $@ -c ../loaders/pp10_load.c
pru1_load.o:	../loaders/pru1_load.c \
			../loaders/include/load.h ../loaders/include/mod.h
	$(COMPILE) -o $@ -c ../loaders/pru1_load.c
pru2_load.o:	../loaders/pru2_load.c \
			../loaders/include/load.h
	$(COMPILE) -o $@ -c ../loaders/pru2_load.c
pt3_load.o:	../loaders/pt3_load.c \
			../loaders/include/load.h ../loaders/include/iff.h
	$(COMPILE) -o $@ -c ../loaders/pt3_load.c
ptm_load.o:	../loaders/ptm_load.c \
			../loaders/include/load.h ../loaders/include/ptm.h ../include/period.h
	$(COMPILE) -o $@ -c ../loaders/ptm_load.c
rad_load.o:	../loaders/rad_load.c \
			../loaders/include/load.h
	$(COMPILE) -o $@ -c ../loaders/rad_load.c
s3m_load.o:	../loaders/s3m_load.c \
			../loaders/include/load.h ../loaders/include/s3m.h ../include/period.h
	$(COMPILE) -o $@ -c ../loaders/s3m_load.c
sfx_load.o:	../loaders/sfx_load.c \
			../loaders/include/load.h ../include/period.h
	$(COMPILE) -o $@ -c ../loaders/sfx_load.c
stim_load.o:	../loaders/stim_load.c \
			../loaders/include/load.h
	$(COMPILE) -o $@ -c ../loaders/stim_load.c
stm_load.o:	../loaders/stm_load.c \
			../loaders/include/load.h ../loaders/include/stm.h ../include/period.h
	$(COMPILE) -o $@ -c ../loaders/stm_load.c
stx_load.o:	../loaders/stx_load.c \
			../loaders/include/load.h ../loaders/include/stx.h ../loaders/include/s3m.h ../include/period.h
	$(COMPILE) -o $@ -c ../loaders/stx_load.c
st_load.o:	../loaders/st_load.c \
			../loaders/include/load.h ../loaders/include/mod.h ../include/period.h
	$(COMPILE) -o $@ -c ../loaders/st_load.c
tp_load.o:	../loaders/tp_load.c \
			../loaders/include/load.h ../include/period.h
	$(COMPILE) -o $@ -c ../loaders/tp_load.c
ult_load.o:	../loaders/ult_load.c \
			../loaders/include/load.h ../include/period.h
	$(COMPILE) -o $@ -c ../loaders/ult_load.c
unic_load.o:	../loaders/unic_load.c \
			../loaders/include/load.h ../include/period.h
	$(COMPILE) -o $@ -c ../loaders/unic_load.c
wn_load.o:	../loaders/wn_load.c \
			../loaders/include/load.h
	$(COMPILE) -o $@ -c ../loaders/wn_load.c
xann_load.o:	../loaders/xann_load.c \
			../loaders/include/load.h
	$(COMPILE) -o $@ -c ../loaders/xann_load.c
xm_load.o:	../loaders/xm_load.c \
			../loaders/include/load.h ../loaders/include/xm.h
	$(COMPILE) -o $@ -c ../loaders/xm_load.c
zen_load.o:	../loaders/zen_load.c \
			../loaders/include/load.h
	$(COMPILE) -o $@ -c ../loaders/zen_load.c
ice_load.o:	../loaders/ice_load.c \
			../loaders/include/load.h
	$(COMPILE) -o $@ -c ../loaders/ice_load.c



font1.o:	../main/font1.c \
			../main/xpanel.h
	$(COMPILE) -o $@ -c ../main/font1.c
font2.o:	../main/font2.c \
			../main/xpanel.h
	$(COMPILE) -o $@ -c ../main/font2.c
getopt.o:	../main/getopt.c \
			../include/xmpi.h
	$(COMPILE) -o $@ -c ../main/getopt.c
getopt1.o:	../main/getopt1.c \
			../include/getopt.h
	$(COMPILE) -o $@ -c ../main/getopt1.c
main.o:	../main/main.c \
			../include/xmp.h
	$(COMPILE) -o $@ -c ../main/main.c
options.o:	../main/options.c \
			../include/xmp.h
	$(COMPILE) -o $@ -c ../main/options.c
xpanel.o:	../main/xpanel.c \
			../main/xpanel.h
	$(COMPILE) -o $@ -c ../main/xpanel.c
xstuff.o:	../main/xstuff.c \
			../main/xpanel.h
	$(COMPILE) -o $@ -c ../main/xstuff.c




convert.o:	../player/convert.c \
			../include/xmp.h ../include/convert.h ../include/driver.h
	$(COMPILE) -o $@ -c ../player/convert.c
cruncher.o:	../player/cruncher.c \
			../include/driver.h ../include/convert.h ../include/mixer.h
	$(COMPILE) -o $@ -c ../player/cruncher.c
driver.o:	../player/driver.c \
			../include/driver.h ../include/convert.h ../include/mixer.h ../include/period.h
	$(COMPILE) -o $@ -c ../player/driver.c
formats.o:	../player/formats.c \
			../include/xmpi.h ../include/formats.h
	$(COMPILE) -o $@ -c ../player/formats.c
med_synth.o:	../player/med_synth.c \

=== src/player/Makefile ===
# Extended Module Player src/player/Makefile

XCFLAGS	= -I../include
OBJS	= convert.o driver.o formats.o misc.o period.o player.o \
	  readrc.o scan.o ulaw.o med_synth.o cruncher.o
XOBJS	= version.o $(MIXER)
XDEPS	=
DFILES	= Makefile $(OBJS:.o=.c) effects.c mixer.c player.h mix_all.c
DDIRS	=
LIB	= ../../lib/libxmp.a
CFILES	= $(LIB) version.c $(DRIVERS)
DCFILES	=

all: $(LIB)

include ../../Makefile.rules

mix_i386.o: mix_i386.S

version.c: $(DFILES) ../../Makefile.rules
	@echo "Creating version id..."; \
	printf "char *xmp_version = \"$(VERSION)\";\n">$@; \
	printf "char *xmp_date = \"$(DATE)\";\n">>$@; \
	printf "char *xmp_build=\"Compiled by `whoami`@`hostname` `date` (`uname -sr`)\";\n">>$@

server: ../bin/server
	@ls -l $+

../bin/server: server.o
	$(LD) $(LFLAGS) $+

$(LIB): $(OBJS)

include depend

=== debian/changelog ===
xmp (2.0.2-1) unstable; urgency=low

  * New release.
  * Added xmp-xmms plugin package.

 -- Claudio Matsuoka <claudio@helllabs.org>  Mon,  1 May 2000 14:41:22 -0300

xmp (2.0.1-3) unstable; urgency=low

  * Fixed rules to correctly package xmp.conf and xmp-modules.conf.
  * Added missing date in docs/ChangeLog.

 -- Claudio Matsuoka <claudio@helllabs.org>  Thu, 24 Feb 2000 13:48:59 -0200

xmp (2.0.1-2) unstable; urgency=low

  * Commented out install-docs in postinst.

 -- Claudio Matsuoka <claudio@helllabs.org>  Thu, 24 Feb 2000 09:06:33 -0200

xmp (2.0.1-1) unstable; urgency=low.

  * New release.
  * Unofficial debian package based on Tom Lees' official 1.1.3-1.

 -- Claudio Matsuoka <claudio@helllabs.org>  Sun, 13 Feb 2000 14:58:47 -0200

xmp (1.1.3-1) unstable; urgency=low

  * New release.
  * Now uses debhelper.
  * Added MIME handling.
  * Add doc-base support.

 -- Tom Lees <tom@lpsg.demon.co.uk>  Sun,  8 Mar 1998 12:05:47 +0000

xmp (1.1.0-1) unstable; urgency=low

  * New release.

 -- Tom Lees <tom@lpsg.demon.co.uk>  Thu,  1 Jan 1998 10:49:46 +0000

xmp (1.1.0dev28-1) unstable; urgency=low

  * New release.
  * Compiled for libc6.

 -- Tom Lees <tom@lpsg.demon.co.uk>  Fri, 12 Dec 1997 17:19:10 +0000

Local variables:
mode: debian-changelog
add-log-mailing-address: "tom@lpsg.demon.co.uk"
End:

=== debian/control ===
Source: xmp
Section: sound
Priority: extra
Maintainer: claudio@helllabs.org
Standards-Version: 2.4.0.0

Package: xmp
Architecture: any
Depends: ${shlibs:Depends}
Description: XMP, a module player supporting AWE32, GUS, and software-mixing
 xmp is a multi-format module player for UNIX. In machines with GUS or
 AWE cards xmp takes advantage of the OSS sequencer to play modules with
 virtually no system load. Using software mixing, xmp plays at sampling
 rates up to 48 kHz in mono or stereo, 8 or 16 bits, signed or unsigned,
 little or big endian samples with 32 bit linear interpolation. xmp
 currently supports more than 40 module formats.

Package: xmp-xmms
Architecture: any
Depends: ${shlibs:Depends}
Description: An experimental XMP plugin for XMMS. XMP is a multi-format
 module player which currently supports more than 40 module formats.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir
	# Add here commands to compile the package.
	./configure --disable-alsa --without-x
#	ln -sf main.c src/main/xmain.c
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	dh_clean
	# Add here commands to clean up after the build process.
	-$(MAKE) distclean

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build-stamp
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs -pxmp usr/bin etc #usr/share/doc-base
	dh_installdirs -pxmp-xmms usr/lib/xmms/Input
	# Add here commands to install the files into debian/xmp
#	$(MAKE) BIN_DIR=$(shell pwd)/debian/tmp/usr/bin install
	install -s -m755 src/main/xmp $(shell pwd)/debian/tmp/usr/bin
	install -s -m755 src/xmms/libxmp.so $(shell pwd)/debian/xmp-xmms/usr/lib/xmms/Input
	cp debian/xmp-view debian/tmp/usr/bin
	chmod +x debian/tmp/usr/bin/xmp-view
	cp debian/xmp-view.conf debian/tmp/etc/xmp-view.conf
	cp etc/xmp.conf debian/tmp/etc/xmp.conf
	cp etc/xmp-modules.conf debian/tmp/etc/xmp-modules.conf
	# cp debian/doc-base debian/tmp/usr/share/doc-base/xmp
	# cp debian/doc-base debian/tmp/usr/share/doc-base/xmp-faq
	dh_installdocs -pxmp docs/CREDITS docs/README.awebug \
		docs/README.fixloop docs/README.trackers README
	dh_installdocs -pxmp-xmms src/xmms/README
	dh_installexamples
	dh_installmenu
#	dh_installinit
	dh_installcron
	dh_installmanpages -pxmp docs/xxmp.1
	dh_undocumented -pxmp xmp-view.1
	dh_installchangelogs docs/ChangeLog
	dh_strip
	dh_compress
	dh_fixperms
	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
